public static final class UpdateConfigRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
UpdateConfigRequest.Builder |
acceptLanguage(String acceptLanguage)
The language of the response.
|
UpdateConfigRequest.Builder |
authEnabled(Boolean authEnabled)
AuthEnabled.
|
UpdateConfigRequest.Builder |
autopurgePurgeInterval(String autopurgePurgeInterval)
A reserved parameter.
|
UpdateConfigRequest.Builder |
autopurgeSnapRetainCount(String autopurgeSnapRetainCount)
A reserved parameter.
|
UpdateConfigRequest |
build() |
UpdateConfigRequest.Builder |
clusterId(String clusterId)
The ID of the cluster.
|
UpdateConfigRequest.Builder |
configAuthEnabled(Boolean configAuthEnabled)
Specifies whether to enable Resource Access Management (RAM) authentication for a configuration center.
|
UpdateConfigRequest.Builder |
configSecretEnabled(Boolean configSecretEnabled)
Specifies whether to enable configuration encryption for a configuration center.
|
UpdateConfigRequest.Builder |
configType(String configType)
The format of the configuration.
|
UpdateConfigRequest.Builder |
consoleUIEnabled(Boolean consoleUIEnabled)
ConsoleUIEnabled.
|
UpdateConfigRequest.Builder |
enable4lw(Boolean enable4lw)
Enable4lw.
|
UpdateConfigRequest.Builder |
eurekaSupported(Boolean eurekaSupported)
EurekaSupported.
|
UpdateConfigRequest.Builder |
extendedTypesEnable(String extendedTypesEnable)
Specifies whether to enable the time to live (TTL) configuration.
|
UpdateConfigRequest.Builder |
initLimit(String initLimit)
The maximum connection duration of the instance.
|
UpdateConfigRequest.Builder |
instanceId(String instanceId)
The ID of the instance.
|
UpdateConfigRequest.Builder |
juteMaxbuffer(String juteMaxbuffer)
The maximum amount of data on each node.
|
UpdateConfigRequest.Builder |
maxClientCnxns(String maxClientCnxns)
The number of connections between a client and a server.
|
UpdateConfigRequest.Builder |
maxSessionTimeout(String maxSessionTimeout)
The maximum timeout period.
|
UpdateConfigRequest.Builder |
MCPEnabled(Boolean MCPEnabled)
Specifies whether to enable Mesh Configuration Protocol (MCP).
|
UpdateConfigRequest.Builder |
minSessionTimeout(String minSessionTimeout)
The minimum timeout period.
|
UpdateConfigRequest.Builder |
namingAuthEnabled(Boolean namingAuthEnabled)
Specifies whether to enable RAM authentication for a registry.
|
UpdateConfigRequest.Builder |
openSuperAcl(String openSuperAcl)
Specifies whether to enable super permissions.
|
UpdateConfigRequest.Builder |
passWord(String passWord)
The password that corresponds to the username.
|
UpdateConfigRequest.Builder |
requestPars(String requestPars)
The extended request parameters in the JSON format.
|
UpdateConfigRequest.Builder |
snapshotCount(String snapshotCount)
The frequency for generating snapshots.
|
UpdateConfigRequest.Builder |
syncLimit(String syncLimit)
The connection timeout period of the instance.
|
UpdateConfigRequest.Builder |
tickTime(String tickTime)
The time unit.
|
UpdateConfigRequest.Builder |
TLSEnabled(Boolean TLSEnabled)
TLSEnabled.
|
UpdateConfigRequest.Builder |
userName(String userName)
The name of the user.
|
public UpdateConfigRequest.Builder acceptLanguage(String acceptLanguage)
The language of the response. Valid values:
zh
public UpdateConfigRequest.Builder authEnabled(Boolean authEnabled)
public UpdateConfigRequest.Builder autopurgePurgeInterval(String autopurgePurgeInterval)
A reserved parameter.
example:none
public UpdateConfigRequest.Builder autopurgeSnapRetainCount(String autopurgeSnapRetainCount)
A reserved parameter.
example:none
public UpdateConfigRequest.Builder clusterId(String clusterId)
The ID of the cluster.
example:mse-09k1q11****
public UpdateConfigRequest.Builder configAuthEnabled(Boolean configAuthEnabled)
Specifies whether to enable Resource Access Management (RAM) authentication for a configuration center. This parameter is valid for Nacos instances. Valid values:
true: enabled.false: disabled.example:Before you configure this parameter, you must call the QueryConfig operation to obtain the ConfigAuthSupported parameter value to check whether the instance supports the RAM authentication feature.
true
public UpdateConfigRequest.Builder configSecretEnabled(Boolean configSecretEnabled)
Specifies whether to enable configuration encryption for a configuration center. This parameter is valid for Nacos instances. Valid values:
true: enabled.false: disabled.example:Before you configure this parameter, you must call the QueryConfig operation to obtain the ConfigSecretSupported parameter value to check whether the instance supports configuration encryption.
true
public UpdateConfigRequest.Builder configType(String configType)
The format of the configuration. Supported formats include TEXT, JSON, XML, and HTML.
example:TEXT
public UpdateConfigRequest.Builder consoleUIEnabled(Boolean consoleUIEnabled)
public UpdateConfigRequest.Builder enable4lw(Boolean enable4lw)
public UpdateConfigRequest.Builder eurekaSupported(Boolean eurekaSupported)
public UpdateConfigRequest.Builder extendedTypesEnable(String extendedTypesEnable)
Specifies whether to enable the time to live (TTL) configuration. This parameter is valid for ZooKeeper instances.
example:true
public UpdateConfigRequest.Builder initLimit(String initLimit)
The maximum connection duration of the instance. This parameter is valid for ZooKeeper instances. Unit: seconds.
example:100
public UpdateConfigRequest.Builder instanceId(String instanceId)
The ID of the instance.
example:mse_prepaid_public_cn-st2212****
public UpdateConfigRequest.Builder juteMaxbuffer(String juteMaxbuffer)
The maximum amount of data on each node. This parameter is valid for ZooKeeper instances. The default maximum data amount on each node is 1 megabyte. Unit: bytes.
example:1048575
public UpdateConfigRequest.Builder MCPEnabled(Boolean MCPEnabled)
Specifies whether to enable Mesh Configuration Protocol (MCP). This parameter is valid for Nacos instances. Valid values:
true: enabled.false: disabled.example:Before you configure this parameter, you must call the QueryConfig operation to obtain the MCPSupported parameter value to check whether the instance supports MCP.
true
public UpdateConfigRequest.Builder maxClientCnxns(String maxClientCnxns)
The number of connections between a client and a server. This parameter is valid for ZooKeeper instances.
If this parameter is set to 0, no limits are imposed on the number of connections.
0
public UpdateConfigRequest.Builder maxSessionTimeout(String maxSessionTimeout)
The maximum timeout period. This parameter is valid for ZooKeeper instances. Unit: seconds.
example:1000
public UpdateConfigRequest.Builder minSessionTimeout(String minSessionTimeout)
The minimum timeout period. This parameter is valid for ZooKeeper instances. Unit: seconds.
example:10
public UpdateConfigRequest.Builder namingAuthEnabled(Boolean namingAuthEnabled)
Specifies whether to enable RAM authentication for a registry. This parameter is valid for Nacos instances. Valid values:
true: enabled.false: disabled.example:Before you configure this parameter, you must call the QueryConfig operation to obtain the NamingAuthSupporte parameter value to check whether the instance supports the RAM authentication feature.
true
public UpdateConfigRequest.Builder openSuperAcl(String openSuperAcl)
Specifies whether to enable super permissions. This parameter is valid for ZooKeeper instances. Valid values:
true: enabledfalse: disabledtrue
public UpdateConfigRequest.Builder passWord(String passWord)
The password that corresponds to the username.
example:You must specify this parameter if OpenSuperAcl is set to true.
password
public UpdateConfigRequest.Builder requestPars(String requestPars)
The extended request parameters in the JSON format.
example:{}
public UpdateConfigRequest.Builder snapshotCount(String snapshotCount)
The frequency for generating snapshots. This parameter is valid for ZooKeeper instances.
example:100000
public UpdateConfigRequest.Builder syncLimit(String syncLimit)
The connection timeout period of the instance. This parameter is valid for ZooKeeper instances. Unit: seconds.
example:10
public UpdateConfigRequest.Builder TLSEnabled(Boolean TLSEnabled)
public UpdateConfigRequest.Builder tickTime(String tickTime)
The time unit. This parameter is valid for ZooKeeper instances. Default value: 2000. Unit: milliseconds.
example:2000
public UpdateConfigRequest.Builder userName(String userName)
The name of the user.
example:You must specify this parameter if OpenSuperAcl is set to true.
name
public UpdateConfigRequest build()
Copyright © 2026. All rights reserved.